Get connection status

- « pg_connection_reset

- pg_consume_input »

- PHP Manual
- PostgreSQL Functions
- Get connection status

# pg_connection_status

(PHP 4 >= 4.2.0, PHP 5, PHP 7, PHP 8)

pg_connection_status — Get connection status

### Description

pg_connection_status(PgSql\Connection `$connection`): int

pg_connection_status() returns the status of the specified `connection`.

### Parameters

`connection`

  An PgSql\Connection instance.

### Return Values

`PGSQL_CONNECTION_OK` or `PGSQL_CONNECTION_BAD`.

### Changelog

Version | Description
--- | ---
8.1.0 | The `connection` parameter expects an PgSql\Connection instance now; previously, a resource was expected.

### Examples

Example #1 pg_connection_status() example

    <?php
      $dbconn = pg_connect("dbname=publisher") or die("Could not connect");
      $stat = pg_connection_status($dbconn);
      if ($stat === PGSQL_CONNECTION_OK) {
          echo 'Connection status ok';
      } else {
          echo 'Connection status bad';
      }
    ?>

### See Also

- pg_connection_busy() - Get connection is busy or not